<%#
Copyright 2011-2024, The Trustees of Indiana University and Northwestern
  University.  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed
  under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
  CONDITIONS OF ANY KIND, either express or implied. See the License for the
  specific language governing permissions and limitations under the License.
---  END LICENSE_HEADER BLOCK  ---
%>

<div class="omniauth-form container">
  <%= content_tag :div, id: 'sign-in-buttons', class: ("hidden" if @local_auth_requested) do %>
    <h2 id='select-sign-in-method-heading' align='center'>Select Sign In Method</h3>

    <%- @providers.each do |visible| %>
      <%= button_to OmniAuth::Utils.camelize(visible[:display_name]), 
                    omniauth_authorize_path(resource_class, visible[:provider]),
                    class: 'btn btn-primary',
                    method: :post,
                    data: { 'turbo-method' => :post } %>
    <% end -%>

    <% unless @local_auth_disabled %>
      <%= content_tag :a, "Email / Password", href: 'javascript:;', class: [:btn, 'btn-primary'], data: { trigger: 'show-email' } %>
    <% end %>
  <% end if @omniauthable  %>

  <%= content_tag :div, class: ("hidden" if (@omniauthable && !@local_auth_requested) ), id: 'email-box' do %>
    <%= bootstrap_form_for resource, as: resource_name, url: session_path(resource_name, admin: true, email: true) do |f| %>
      <h2 align='center'>Sign in with Email</h2>

      <div class="form-group">
        <%= f.text_field :login, autofocus: true, autocomplete: "username" %>
      </div>

      <div class="form-group">
        <%= f.password_field :password, autocomplete: "off" %>
      </div>

      <% if devise_mapping.rememberable? -%>
        <div class="form-group">
          <%= f.check_box :remember_me %>
        </div>
      <% end -%>

      <div class="actions form-group">
        <%= f.submit "Connect", class: 'btn btn-primary' %>
        <a class='btn msul-btn-secondary msul-background-white' <%= @omniauthable ? "href=javascript:; data-trigger=show-email" : "href=/" %>>Cancel</a>
      </div>

      <p align='center' class='devise-links'>
        <%= render "devise/shared/links" %>
      </p>
    <% end %>
  <% end unless @local_auth_disabled %>
</div>
